Bug 766090 - Postfix is ancient
Postfix is ancient
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: postfix (Show other bugs)
6.4
All Linux
unspecified Severity high
: rc
: ---
Assigned To: Jaroslav Škarvada
qe-baseos-daemons
: Rebase
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-09 22:02 EST by Philip Prindeville
Modified: 2012-02-08 12:24 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-08 12:24:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philip Prindeville 2011-12-09 22:02:15 EST
Description of problem:

The current release of Postfix is 2.8.8.  Fedora is shipping 2.8.7. RHEL needs to ship something with more recent security fixes in place.


Version-Release number of selected component (if applicable):

2.6.6-2

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Philip Prindeville 2011-12-09 22:03:35 EST
I've built rawhide (master) for EL6 and it builds fine.
Comment 3 Jaroslav Škarvada 2011-12-11 07:30:07 EST
(In reply to comment #0)
Thanks for the report.

> The current release of Postfix is 2.8.8.
>
Today (2011-12-11) I cannot see official announcement of 2.8.8, nor find the official release on upstream FTP server.

> to ship something with more recent security fixes in place.
> 
Which security fixes? AFAIK all CVEs got backported to RHEL, namely 
CVE-2011-0411, CVE-2011-1720.
Comment 4 Philip Prindeville 2011-12-11 14:21:03 EST
Sorry, I think the announcement of 2.8.8 was premature.

2.8.7 has XCLIENT, XFORWARD, and DNSBL support for defeating spammers that aren't in the 2.6 and 2.7 legacy and stable releases.
Comment 7 RHEL Product and Program Management 2012-02-08 12:24:59 EST
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.